Subject: Re: [PATCH 0/6] Merge remaining t/helper binaries to test-tool

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sun, 09 Sep 2018 20:09:39 +0200

On Sun, Sep 09 2018, Nguyễn Thái Ngọc Duy wrote:

> Last time when I added test-tool in 27f25845cf (Merge branch
> 'nd/combined-test-helper' - 2018-04-11) I left out a few test programs
> because there were a couple in-flight new tests that used them. All
> those topics are merged now. So we can merge these to test-tool and
> call it done.

This is great. Just a small side-note: Am I the only one who misses the
2.8.0 days when you could do "git clean -dxff" in the t/ directory to
clean up various test crap without breaking subsequent tests?

That went away in e6e7530d10 ("test helpers: move test-* to t/helper/
subdirectory", 2016-04-13) when we started building stuff in t/helper/.

So now that this is one binary perhaps we can build it in the root
directory and get that functionality back?